/**
 * <copyright>
 * </copyright>
 *
 * $Id: StructuralFeatureValidator.java,v 1.1 2008-04-01 09:35:23 vmahe Exp $
 */
package orgomg.cwm.objectmodel.core.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.foundation.datatypes.Union;

import orgomg.cwm.foundation.keysindexes.IndexedFeature;
import orgomg.cwm.foundation.keysindexes.KeyRelationship;
import orgomg.cwm.foundation.keysindexes.UniqueKey;

import orgomg.cwm.objectmodel.core.ChangeableKind;
import orgomg.cwm.objectmodel.core.Classifier;
import orgomg.cwm.objectmodel.core.Multiplicity;
import orgomg.cwm.objectmodel.core.OrderingKind;
import orgomg.cwm.objectmodel.core.ScopeKind;

import orgomg.cwm.objectmodel.instance.Slot;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.core.StructuralFeature}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface StructuralFeatureValidator {
	boolean validate();

	boolean validateChangeability(ChangeableKind value);
	boolean validateMultiplicity(Multiplicity value);
	boolean validateOrdering(OrderingKind value);
	boolean validateTargetScope(ScopeKind value);
	boolean validateType(Classifier value);
	boolean validateSlot(EList<Slot> value);
	boolean validateDiscriminatedUnion(EList<Union> value);
	boolean validateIndexedFeature(EList<IndexedFeature> value);
	boolean validateKeyRelationship(EList<KeyRelationship> value);
	boolean validateUniqueKey(EList<UniqueKey> value);
}
